Part Circle/it: Difference between revisions

From FreeCAD Documentation
(Created page with "In alternativa è possibile creare un cerchio parziale selezionando tre punti: # Nel pannello delle azioni del comando 16px Part Primitive selezionare l'opzione {{MenuCommand|16px Cerchio}} dal menu a tendina. # Premere il pulsante {{Button|Da tre punti}}. # Selezionare tre vertici nella Vista 3D. Non è necessario tenere premuto il tasto {{KEY|Ctrl}}. # Viene creato un cerchio....")
Line 42: Line 42:
== Esempio ==
== Esempio ==


[[Image:Part_Circle_Scripting_Example.png|thumb|Part Circle from the scripting example]]
[[Image:Part_Circle_Scripting_Example.png|thumb|Part Cerchio dall'esempio di scripting]]


A Part Circle object created with the [[#Scripting|scripting example]] below is shown here.
A Part Circle object created with the [[#Scripting|scripting example]] below is shown here.

Revision as of 22:38, 5 January 2024

Part Cerchio

Posizione nel menu
Parte → Crea primitive → Cerchio
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Un Part Cerchio è una forma parametrica che può essere creata con il comando Part Primitive . Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, il cerchio giace sul piano XY con il centro nell'origine.

Un Part Cerchio è infatti un arco circolare chiuso in senso antiorario, può essere trasformato in un arco modificando le sue proprietà DatiAngle1 e/o DatiAngle2.

Utilizzo

Vedere Part Primitive.

In alternativa è possibile creare un cerchio parziale selezionando tre punti:

  1. Nel pannello delle azioni del comando Part Primitive selezionare l'opzione Cerchio dal menu a tendina.
  2. Premere il pulsante Da tre punti.
  3. Selezionare tre vertici nella Vista 3D. Non è necessario tenere premuto il tasto Ctrl.
  4. Viene creato un cerchio.
  5. I vertici selezionati vengono utilizzati solo al momento della creazione per calcolare il DatiRadius e il DatiPlacement del cerchio.

Esempio

Part Cerchio dall'esempio di scripting

A Part Circle object created with the scripting example below is shown here.

Proprietà

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • Raggio: il raggio del bordo curvo (arco o cerchio)
  • Angolo 1: inizio del bordo curvo, (gradi in senso antiorario), il valore di default è 0
  • Angolo 2: fine del bordo curvo (gradi in senso antiorario), il valore di default è 360

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()